質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
85.68%
Flutter

Flutterは、iOSとAndroidのアプリを同じコードで開発するためのフレームワークです。オープンソースで開発言語はDart。双方のプラットフォームにおける高度な実行パフォーマンスと開発効率を提供することを目的としています。

Dart

Dartは、Googleによって開発されたJavaScriptの代替となることを目的に作られた、ウェブ向けのプログラミング言語である。

Q&A

解決済

1回答

688閲覧

【Flutter】flutter upgradeを実行すると、プロセスが異常終了してしまいます

bbiiq

総合スコア51

Flutter

Flutterは、iOSとAndroidのアプリを同じコードで開発するためのフレームワークです。オープンソースで開発言語はDart。双方のプラットフォームにおける高度な実行パフォーマンスと開発効率を提供することを目的としています。

Dart

Dartは、Googleによって開発されたJavaScriptの代替となることを目的に作られた、ウェブ向けのプログラミング言語である。

0グッド

0クリップ

投稿2023/05/13 01:40

編集2023/05/13 13:35

質問内容

Flutterをアップデートしたいのですが、ターミナルで「flutter upgrade」を実行したのですが、以下のようなエラーが出てしまい、アップデートできません。
原因かどうかわかりませんが、VSCodeを使っているのですが、ソース管理の部分に自分のプロジェクトと、「flutter」という名前のプロジェクトがあり、gitにコミットできるようなソース管理を行なってしまっています。

発生している問題・エラーメッセージ

ProcessException: Process exited abnormally: From https://github.com/flutter/flutter ! [rejected] remove.1.2.3 -> remove.1.2.3 (would clobber existing tag) Command: git fetch --tags

試したこと

「git fetch --tags」や「git fetch --tags --force」、「git init」、「git config --global --add remote.origin.proxy "" 」を実行しましたが、なにも変わりませんでした。

お忙しいとは思いますが、上記のようなFlutterのアップデートができない事象についてなにかアドバイスいただけるとありがたいです。

補足情報(FW/ツールのバージョンなど)

[✓] Flutter (Channel stable, 3.7.10, on macOS 13.3.1 22E772610a darwin-arm64, locale ja-JP)
[✓] Android toolchain - develop for Android devices (Android SDK version 33.0.0)
[✓] Xcode - develop for iOS and macOS (Xcode 14.3)
[✓] Chrome - develop for the web
[✓] Android Studio (version 2021.3)
[✓] VS Code (version 1.73.0)
[✓] Connected device (3 available)
[✓] HTTP Host Availability

• No issues found!

気になる質問をクリップする

クリップした質問は、後からいつでもMYページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

下記のような質問は推奨されていません。

  • 質問になっていない投稿
  • スパムや攻撃的な表現を用いた投稿

適切な質問に修正を依頼しましょう。

また依頼した内容が修正された場合は、修正依頼を取り消すようにしましょう。

bbiiq

2023/05/13 01:42

あと、これは関係ないかもしれませんが、Flutterでは新しいバージョンが出た場合は新しいバージョンがでたよーみたいな文言がターミナル上に出ていたと思うのですが、今回のver.3.10にはその文言がターミナルに出ていません。
guest

回答1

0

ベストアンサー

エラーメッセージから見ると、git fetch操作で問題が発生しているようです。すでに存在するタグと衝突する新たなタグを取得しようとしているため、エラーが生じている可能性があります。

まず、Flutterのリポジトリ内でコンフリクトが生じていないかを確認するために、以下のコマンドを実行してみてください。

cd <flutter directory> git status

何か問題があれば、その解決に取り組む必要があります。特に、変更がステージされていない場合やコミットされていない変更がある場合は、それらをクリアする必要があります。

次に、ローカルのFlutterリポジトリのタグを全て削除して、再度fetchを試みてみてください。以下のコマンドを実行します。

git tag | xargs git tag -d git fetch --tags

これにより、既存のタグが削除され、新たにタグがフェッチされます。

それでも解決しない場合は、Flutterを完全に再インストールすることを検討してみてください。その前に、現在のFlutterディレクトリを別の場所に移動またはリネームして、元に戻せるようにすることをお勧めします。

投稿2023/05/15 05:09

m8aFm77kKU9JuID

総合スコア78

下記のような回答は推奨されていません。

  • 質問の回答になっていない投稿
  • スパムや攻撃的な表現を用いた投稿

このような回答には修正を依頼しましょう。

また依頼した内容が修正された場合は、修正依頼を取り消すようにしましょう。

あなたの回答

tips

太字

斜体

打ち消し線

見出し

引用テキストの挿入

コードの挿入

リンクの挿入

リストの挿入

番号リストの挿入

表の挿入

水平線の挿入

プレビュー

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
85.68%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

同じタグがついた質問を見る

Flutter

Flutterは、iOSとAndroidのアプリを同じコードで開発するためのフレームワークです。オープンソースで開発言語はDart。双方のプラットフォームにおける高度な実行パフォーマンスと開発効率を提供することを目的としています。

Dart

Dartは、Googleによって開発されたJavaScriptの代替となることを目的に作られた、ウェブ向けのプログラミング言語である。